- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Alphabetical List
- Data Structures
- Data Fields

# S_usb_device_qualifier_descriptor Struct Reference

Usb Device Qualifier Descriptor. More...

`#include <usb_descriptors.h>`

## Data Fields
U8 | bLength
| Size of this descriptor in bytes.
U8 | bDescriptorType
| Device Qualifier descriptor type.
U16 | bscUSB
| Binay Coded Decimal Spec. release.
U8 | bDeviceClass
| Class code assigned by the USB.
U8 | bDeviceSubClass
| Sub-class code assigned by the USB.
U8 | bDeviceProtocol
| Protocol code assigned by the USB.
U8 | bMaxPacketSize0
| Max packet size for EP0.
U8 | bNumConfigurations
| Number of possible configurations.
U8 | bReserved
| Reserved for future use, must be zero.

## Detailed Description

Usb Device Qualifier Descriptor.

Definition at line 227 of file usb_descriptors.h.

## Field Documentation

U8 S_usb_device_qualifier_descriptor::bLength

Size of this descriptor in bytes.

Definition at line 228 of file usb_descriptors.h.

U8 S_usb_device_qualifier_descriptor::bDescriptorType

Device Qualifier descriptor type.

Definition at line 229 of file usb_descriptors.h.

U16 S_usb_device_qualifier_descriptor::bscUSB

Binay Coded Decimal Spec. release.

Definition at line 230 of file usb_descriptors.h.

U8 S_usb_device_qualifier_descriptor::bDeviceClass

Class code assigned by the USB.

Definition at line 231 of file usb_descriptors.h.

U8 S_usb_device_qualifier_descriptor::bDeviceSubClass

Sub-class code assigned by the USB.

Definition at line 232 of file usb_descriptors.h.

U8 S_usb_device_qualifier_descriptor::bDeviceProtocol

Protocol code assigned by the USB.

Definition at line 233 of file usb_descriptors.h.

U8 S_usb_device_qualifier_descriptor::bMaxPacketSize0

Max packet size for EP0.

Definition at line 234 of file usb_descriptors.h.

U8 S_usb_device_qualifier_descriptor::bNumConfigurations

Number of possible configurations.

Definition at line 235 of file usb_descriptors.h.

U8 S_usb_device_qualifier_descriptor::bReserved

Reserved for future use, must be zero.

Definition at line 236 of file usb_descriptors.h.

The documentation for this struct was generated from the following file:

- usb_descriptors.h